<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_32"
        android:orientation="horizontal"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/search_iv_back"
            android:layout_width="@dimen/dp_16"
            android:layout_height="@dimen/dp_16"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="@dimen/dp_8"
            android:adjustViewBounds="true"
            android:onClick="finish"
            android:scaleType="centerInside"
            android:src="@drawable/ic_back"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/detail_tv_title"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/dp_8"
            android:gravity="center_vertical"
            android:singleLine="true"
            android:text="应用详情"
            android:textColor="@color/default_text_color"
            android:textSize="@dimen/sp_12"
            android:textStyle="bold"
            app:layout_constraintStart_toEndOf="@+id/search_iv_back" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:overScrollMode="never"
        app:layout_constraintBottom_toTopOf="@id/constraintLayout2"
        app:layout_constraintTop_toBottomOf="@+id/cl">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:descendantFocusability="blocksDescendants"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="10dp"
                android:layout_marginBottom="5dp">

                <ImageView
                    android:id="@+id/detail_iv_icon"
                    android:layout_width="@dimen/dp_80"
                    android:layout_height="@dimen/dp_80"
                    android:layout_gravity="center_vertical"
                    android:layout_marginEnd="10dp"
                    android:background="@mipmap/ic_launcher" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_80"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="@dimen/dp_8"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/detail_tv_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:text="今日头条"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_21"
                        android:textStyle="bold"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <RatingBar
                        android:id="@+id/detail_rating_bar"
                        style="@style/myRatingBar"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_4"
                        android:isIndicator="true"
                        android:rating="3"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/detail_tv_name" />

                    <TextView
                        android:id="@+id/detali_tv_size"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_4"
                        android:text="大小"
                        app:layout_constraintTop_toBottomOf="@+id/detail_rating_bar" />

                    <TextView
                        android:id="@+id/detali_tv_version"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_4"
                        android:text="版本"
                        app:layout_constraintTop_toBottomOf="@+id/detali_tv_size" />
                </androidx.constraintlayout.widget.ConstraintLayout>
            </LinearLayout>

            <HorizontalScrollView
                android:id="@+id/scrollView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center_horizontal"
                android:overScrollMode="never"
                android:scrollbars="none"
                android:visibility="visible">

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/detail_rv_image"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginTop="15dp"
                        android:layout_marginBottom="15dp"
                        android:nestedScrollingEnabled="false"
                        android:overScrollMode="never" />
                </RelativeLayout>
            </HorizontalScrollView>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_16"
                android:layout_marginRight="@dimen/dp_16"
                android:text="应用介绍"
                android:textSize="@dimen/sp_16"
                android:textStyle="bold"
                android:visibility="gone" />

            <TextView
                android:id="@+id/detali_tv_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_2"
                android:layout_marginRight="@dimen/dp_16" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_2"
                android:layout_marginRight="@dimen/dp_16"
                android:text="更新"
                android:textSize="@dimen/sp_16"
                android:textStyle="bold"
                android:visibility="gone" />

            <TextView
                android:id="@+id/detali_tv_update"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_2"
                android:layout_marginRight="@dimen/dp_16" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_2"
                android:layout_marginRight="@dimen/dp_16"
                android:text="信息"
                android:textSize="@dimen/sp_16"
                android:textStyle="bold"
                android:visibility="gone" />

            <TextView
                android:id="@+id/detail_tv_company"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:singleLine="true"
                android:text="" />

            <TextView
                android:id="@+id/detail_tv_version"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_16"
                android:layout_marginRight="@dimen/dp_16"
                android:text="版本"
                android:visibility="gone" />

            <TextView
                android:id="@+id/detail_tv_update_time"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_16"
                android:layout_marginRight="@dimen/dp_16"
                android:text="时间"
                android:visibility="gone" />

            <TextView
                android:id="@+id/detail_tv_Developers"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_16"
                android:layout_marginRight="@dimen/dp_16"
                android:text="开发者"
                android:visibility="gone" />
        </LinearLayout>
    </ScrollView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/constraintLayout2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent">

        <Button
            android:id="@+id/detail_tv_download"
            android:layout_width="@dimen/dp_300"
            android:layout_height="@dimen/dp_28"
            android:layout_centerInParent="true"
            android:background="@drawable/btn_shap_open"
            android:clickable="true"
            android:gravity="center"
            android:stateListAnimator="@null"
            android:text="安装"
            android:textColor="#ffffff"
            android:textSize="@dimen/sp_16"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>